﻿//	Spludlow Software
//	Copyright © Samuel P. Ludlow 2020 All Rights Reserved
//	Distributed under the terms of the GNU General Public License version 3
//	Distributed WITHOUT ANY WARRANTY; without implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE
//	https://www.spludlow.co.uk/LICENCE.TXT
//	The Spludlow logo is a registered trademark of Samuel P. Ludlow and may not be used without permission
//	v1.14

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Runtime.Caching;

namespace Spludlow
{
	public class Caching
	{
		public static void Set(string key, object data)
		{
			MemoryCache.Default[key] = data;
		}

		public static object Get(string key)
		{
			return MemoryCache.Default[key];
		}

		public static void Remove(string key)
		{
			MemoryCache.Default.Remove(key);
		}
	}
}
