﻿//	Spludlow Software
//	Copyright © Samuel P. Ludlow 2020 All Rights Reserved
//	Distributed under the terms of the GNU General Public License version 3
//	Distributed WITHOUT ANY WARRANTY; without implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE
//	https://www.spludlow.co.uk/LICENCE.TXT
//	The Spludlow logo is a registered trademark of Samuel P. Ludlow and may not be used without permission
//	v1.14

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Data;

namespace Spludlow.Data
{
	public class Casting
	{
		public static int CastInt32(DataRow row, string columnName)
		{
			if (row.Table.Columns.Contains(columnName) == false)
				return 0;

			if (row.IsNull(columnName) == true)
				return 0;

			return Convert.ToInt32(row[columnName]);
		}

		public static bool CastBoolean(DataRow row, string columnName)
		{
			if (row.Table.Columns.Contains(columnName) == false)
				return false;

			if (row.IsNull(columnName) == true)
				return false;

			return Convert.ToBoolean(row[columnName]);
		}
	}
}
