﻿//	Spludlow Software
//	Copyright © Samuel P. Ludlow 2020 All Rights Reserved
//	Distributed under the terms of the GNU General Public License version 3
//	Distributed WITHOUT ANY WARRANTY; without implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE
//	https://www.spludlow.co.uk/LICENCE.TXT
//	The Spludlow logo is a registered trademark of Samuel P. Ludlow and may not be used without permission
//	v1.14

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Drawing;

namespace Spludlow.Drawing
{
	public class TableStyle
	{
		public string HeadingFont = "Arial, 8, Bold";
		public string RowFont = "Arial, 8";

		public Color HeadingBackColour = Color.DimGray;
		public Color HeadingForeColour = Color.White;
		public Color RowBackColour = Color.White;
		public Color RowBackAltColour = Color.LightGray;
		public Color RowForeColour = Color.Black;
		public Color RowForeAltColour = Color.Black;

		public Color LineColour = Color.Black;
		public float OuterLineWeight = 1.0F;
		public float VerticalLineWeight = 0.25F;
		public float HorizontalLineWeight = 0.125F;

	}
}
