﻿//	Spludlow Software
//	Copyright © Samuel P. Ludlow 2020 All Rights Reserved
//	Distributed under the terms of the GNU General Public License version 3
//	Distributed WITHOUT ANY WARRANTY; without implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE
//	https://www.spludlow.co.uk/LICENCE.TXT
//	The Spludlow logo is a registered trademark of Samuel P. Ludlow and may not be used without permission
//	v1.14

using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Data;

namespace Spludlow
{
	[ServiceContract]
	public interface IService
	{
		[OperationContract]
		void Start();

		[OperationContract]
		void Stop();

		[OperationContract]
		void StartTask(string threadName);

		[OperationContract]
		void StopTask(string threadName);

		[OperationContract]
		void ParkTask(string threadName);

		[OperationContract]
		void UnParkTask(string threadName);

		[OperationContract]
		DataSet Status();
	}
}
